Bug 135163 - Tetex-latex does not have a pict2e implementation
Tetex-latex does not have a pict2e implementation
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tetex (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-09 12:03 EDT by W. Michael Petullo
Modified: 2013-07-02 19:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-25 08:44:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
LaTeX file that demonstrates pict2e (381 bytes, text/x-tex)
2004-10-20 21:41 EDT, W. Michael Petullo
no flags Details

  None (edit)
Description W. Michael Petullo 2004-10-09 12:03:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.7.2)
Gecko/20040809 Epiphany/1.3.8

Description of problem:
The pict2e package adds additional features to LaTeX's drawing
capability.  For example, when using pict2e, sloping lines do not have
a minimum length requirement.

Version-Release number of selected component (if applicable):
tetex-latex-2.0.2-21

How reproducible:
Always

Steps to Reproduce:
Include \usepackage{pict2e} in a file and try to process the file
using LaTeX.
    

Actual Results:  The latex command says:

This is TeX, Version 3.14159 (Web2C 7.4.5)
(./notebook.tex
LaTeX2e <2001/06/01>
Babel <v3.7h> and hyphenation patterns for american, french, german,
ngerman, n
ohyphenation, loaded.
(/usr/share/texmf/tex/latex/base/article.cls
Document Class: article 2001/04/21 v1.4e Standard LaTeX document class
(/usr/share/texmf/tex/latex/base/size10.clo))
(/usr/share/texmf/tex/latex/preprint/fullpage.sty)
(/usr/share/texmf/tex/latex/base/pict2e.sty

! Package pict2e Error: The package pict2e.sty will not be written
(pict2e)                by the LaTeX maintainers soon.

See the pict2e package documentation for explanation.
Type  H <return>  for immediate help.
 ...

l.37 ...contains suggested alternative solutions.}

Additional info:
Comment 1 Jindrich Novy 2004-10-19 06:02:51 EDT
Hi Michael, could you please provide some sample code for testing of
the new pict2e?
Comment 2 W. Michael Petullo 2004-10-20 21:41:35 EDT
Created attachment 105571 [details]
LaTeX file that demonstrates pict2e

This LaTeX file contains a figure that is simply a diagonal line.  Processing
this file with the command latex with produce a warning about pict2e.  The
diagonal line in the figure should be several pixels wide.  However, since
pict2e is not used it is only one pixel wide.
Comment 3 Jindrich Novy 2005-02-25 08:44:04 EST
This works fine with teTeX-3.0 now. Thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.